## plasma-widget-simplemonitor 0.1

=== CMakeLists.txt ===
# Project Needs a name ofcourse
project(simplemonitor)
 
# Find the required Libaries
find_package(KDE4 REQUIRED)
include(KDE4Defaults)
 
add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories(
   ${CMAKE_SOURCE_DIR}
   ${CMAKE_BINARY_DIR}
   ${KDE4_INCLUDES}
   )
 
# We add our source code here
set(simplemonitor_SRCS monitor.cpp)
 
# Now make sure all files get to the right place
kde4_add_plugin(plasma_applet_simplemonitor ${simplemonitor_SRCS})
target_link_libraries(plasma_applet_simplemonitor 
                      ${KDE4_PLASMA_LIBS} ${KDE4_KDEUI_LIBS})
 
install(TARGETS plasma_applet_simplemonitor
        DESTINATION ${PLUGIN_INSTALL_DIR})
 
install(FILES simplemonitor.desktop
        DESTINATION ${SERVICES_INSTALL_DIR})

=== debian/changelog ===
plasma-widget-simplemonitor (0.1-0ubuntu3) maverick; urgency=low

  * Add cmake to build-dependencies as kdelibs5-dev no longer depends on it.
  * Switch to source format 3.0 (quilt).
  * Switch to dh7 rules and bump debian/compat to 7.
  * Bump Standards-Version to 3.8.4, no changes needed.
  * Add ${misc:Depends} to the dependencies.

 -- Felix Geyer <debfx-pkg@fobos.de>  Wed, 19 May 2010 15:08:10 +0200

plasma-widget-simplemonitor (0.1-0ubuntu2) karmic; urgency=low

  * Transition from libplasma-dev to kdelibs5-dev
    - debian/control: change libplasma-dev to kdelibs5-dev
  * Transition from kde4.mk to pkg-kde-tools
    - debian/rules: Change '/usr/share/cdbs/1/class/kde4.mk' to
     '/usr/share/pkg-kde-tools/qt-kde-team/1/debian-qt-kde.mk'
    - debian/control: Build-Depend on 'pkg-kde-tools'
  * Drop cmake from build-deps
  * Bump Standards-Version to 3.8.1 
 -- Alessandro Ghersi <alessandro.ghersi@fastwebnet.it>  Fri, 22 May 2009 21:58:09 +0200

plasma-widget-simplemonitor (0.1-0ubuntu1) jaunty; urgency=low

  * Initial release (LP: #326428)

 -- Alessandro Ghersi <alessandro.ghersi@fastwebnet.it>  Wed, 04 Feb 2009 06:13:14 +0100

=== debian/control ===
Source: plasma-widget-simplemonitor
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Alessandro Ghersi <alessandro.ghersi@fastwebnet.it>
Build-Depends: debhelper (>= 7.3.16~),
               pkg-kde-tools (>= 0.5.0~),
               cmake,
               pkg-config,
               kdelibs5-dev (>=4:4.2.85)
Standards-Version: 3.8.4
Homepage: http://kde-look.org/content/show.php/Simple+monitor?content=84933

Package: plasma-widget-simplemonitor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: simple and compact system monitor
 This plasmoid shows the history of cpu usage and the disk cache memory with
 graph
